在启用了证书管理功能时,在升级后显示错误消息

症状
如果证书管理功能可用,在升级到 HPE OneView 4.0 或更高版本后,将显示以下警告消息:
当前的装置证书最早是使用早期版本的装置生成。它不支持与配置为双因素身份验证的 iLO 进行通信。iLO 双因素身份验证要求装置证书在其增强型密钥用途字段中包含“客户端身份验证”属性。

在不使用 iLO 双因素身份验证的环境中,可以忽略该警报。如果您计划使用 iLO 双因素身份验证,则只需生成新的装置自签名证书或执行新的证书签名请求。
解决方案 1
原因

在装置 Web 服务器证书中缺少客户端身份验证属性

操作
生成新的装置自签名证书。
解决方案 2
操作
对于 CA 签名的装置证书,请创建新的证书签名请求。
《HPE OneView 用户指南》中的“证书管理”提供了详细信息。